Make transition to ELF kernel. Fix the userconfig_script handling.

This commit is contained in:
Andrzej Bialecki 1999-01-14 23:14:46 +00:00
parent 602c5d866a
commit b9068e0a34
Notes: svn2git 2020-12-20 02:59:44 +00:00
svn path=/head/; revision=42671
5 changed files with 22 additions and 25 deletions

View File

@ -1,17 +1,13 @@
#!/bin/sh -
#
# $Id: build,v 1.9 1998/09/22 15:40:00 abial Exp $
# $Id: build,v 1.10 1998/09/23 14:54:46 abial Exp $
#
# You can set the SRC variable which points to your source tree. It's
# /usr/src by default (most people shouldn't change it).
SRC=/usr/src
# Set this if your crunchgen and kzip don't support ELF.
#OBJFORMAT=aout; export OBJFORMAT
# Default MFS sizes for different types of the floppy. Again, most people
# shouldn't change them unless they know what they are doing.

View File

@ -1,6 +1,6 @@
#!/bin/sh
#
# $Id: populate,v 1.5 1998/09/19 21:44:42 abial Exp $
# $Id: populate,v 1.6 1998/09/26 17:27:18 abial Exp $
#
. ../Version
@ -74,12 +74,4 @@ if [ ! -f ../tools/dumpnlist/dumpnlist ]
then
(cd ../tools/dumpnlist; make)
fi
../tools/dumpnlist/dumpnlist ./kernel >/mnt/stand/symbols
echo "-> Preparing kernel config list..."
if [ ! -f ../tinyware/kget/kget ]
then
(cd ../tinyware/kget; make)
fi
../tinyware/kget/kget ./kernel /mnt/stand/vanilla
(echo "-> Fixing permissions"; cd /mnt; chown -R root *)

View File

@ -1,7 +1,7 @@
#! /bin/sh -
#
# $Id: stage1,v 1.4 1998/09/20 00:46:07 abial Exp $
# $Id: stage1,v 1.5 1998/10/25 15:15:55 abial Exp $
#
set -e
@ -65,7 +65,7 @@ then
fi
# Default setting for other (custom) setups.
INODES=16000
INODES=4096
# You can save some space on MFS if you don't want so many inodes...
if [ "${TYPE}" = "dial" ]
then

View File

@ -1,7 +1,7 @@
#! /bin/sh -
#
# $Id: stage2,v 1.1.1.1 1998/08/27 17:38:42 abial Exp $
# $Id: stage2,v 1.2 1998/09/07 06:46:25 abial Exp $
#
set -e
@ -21,6 +21,7 @@ if [ ! -f ../tools/write_mfs_in_kernel/wmik ]; then
fi
../tools/write_mfs_in_kernel/wmik kernel fs.PICOBSD
kzip -v kernel
strip kernel
strip --remove-section=.note --remove-section=.comment kernel
gzip -9 -n kernel
rm fs.PICOBSD
rm kernel

View File

@ -1,14 +1,14 @@
#! /bin/sh -
#
# $Id: stage3,v 1.2 1998/08/31 13:35:06 abial Exp $
# $Id: stage3,v 1.3 1998/09/26 17:27:18 abial Exp $
#
set -e
. ../Version
if [ ! -f kernel.kz ]; then
echo "-> ERROR: you must build kernel.kz first"
if [ ! -f kernel.gz ]; then
echo "-> ERROR: you must build kernel.gz first"
exit 1
fi
@ -86,15 +86,23 @@ then
fi
cd ${pwd}
cp kernel.kz /mnt/kernel
cp kernel.gz /mnt/kernel.gz
if [ "X$?" != "X0" ]
then
echo "-> ERROR while transferring kernel.kz to /mnt..."
echo "-> ERROR while transferring kernel.gz to /mnt..."
echo "-> Aborting $0"
exit 10
fi
mkdir /mnt/boot
cp /boot/loader .
kzip -v loader
mv loader.kz /mnt/boot/loader
rm -f loader loader.o
echo "/boot/loader" >/mnt/boot.config
echo "load /kernel">/mnt/boot/loader.rc
echo "load -t userconfig_script /kernel.config">>/mnt/boot/loader.rc
(echo "-> Fixing permissions"; cd /mnt; chown -R root *)
rm kernel.kz
rm kernel.gz
df -ik /mnt